%define _version %(echo %version | tr '.' '_')
%define majver %(echo %version | cut -d. -f1-2)
%define apiver %(echo %version | cut -d. -f1-2)
Name:          libopenjpeg
Version:       2.5.3
Release:       1mamba
Summary:       An open-source JPEG 2000 codec written in C language
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.openjpeg.org
Source:        https://github.com/uclouvain/openjpeg.git/v%{version}/openjpeg-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: liblcms2-devel
BuildRequires: libpng-devel
BuildRequires: libtiff-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
Requires(post):%{__install_info}

%description
An open-source JPEG 2000 codec written in C language.

%package -n %{name}-devel
Summary:       Static libraries and header for %{name}
Group:         Development/Libraries
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      %{name}-tools = %{?epoch:%epoch:}%{version}-%{release}

%description -n %{name}-devel
An open-source JPEG 2000 codec written in C language.
This package contains static libraries and header files need for development.

%package tools
Group:         Applications/Graphics
Summary:       Utility applications for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}

%description tools
This package contains utility applications for %{name}.

%debug_package

%prep
%setup -q -n openjpeg-%{version}

%build
%cmake -d build \
   -DOPENJPEG_INSTALL_LIB_DIR=%{_lib}
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build



%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_libdir}/libopenjp2.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/openjpeg-%{apiver}
%{_includedir}/openjpeg-%{apiver}/*.h
%{_libdir}/libopenjp2.so
%{_libdir}/libopenjp2.a
%dir %{_libdir}/cmake/openjpeg-%{apiver}
%{_libdir}/cmake/openjpeg-%{apiver}/OpenJPEG*.cmake
%{_libdir}/pkgconfig/libopenjp2.pc

%files tools
%defattr(-,root,root)
%{_bindir}/opj_compress
%{_bindir}/opj_decompress
%{_bindir}/opj_dump

%changelog
* Tue Dec 10 2024 Automatic Build System <autodist@openmamba.org> 2.5.3-1mamba
- automatic version update by autodist

* Thu Feb 29 2024 Automatic Build System <autodist@openmamba.org> 2.5.2-1mamba
- automatic version update by autodist

* Wed Feb 28 2024 Automatic Build System <autodist@openmamba.org> 2.5.1-1mamba
- automatic version update by autodist

* Sat May 14 2022 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Sat Feb 20 2021 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Fri Mar 13 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.1-1mamba
- update to 2.3.1

* Sun Aug 18 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-2mamba
- libopenjpeg-devel: require libopenjpeg-tools

* Thu Jul 10 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 2.1.0-1mamba
- update to 2.1.0

* Wed Jan 23 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.0-1mamba
- update to 2.0.0

* Sat Dec 01 2012 Automatic Build System <autodist@mambasoft.it> 1.5.1-1mamba
- update to 1.5.1

* Fri Nov 20 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3-1mamba
- update to 1.3

* Mon Nov 19 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2-1mamba
- package created by autospec
